function [ f_theorique ] = detection_corde( f_lue )
%DETECTION_CORDE Détermine la note à laquelle on veut s'accorder.
%   DETECTION_CORDE(F_LUE) va chercher dans quel intervalle du type 
%   [f-ton/4;f+ton/4], pour f correspondant à la note que l'on veut pour
%   chaque corde de la guitare, se situe la note F_LUE. 
%   On renvoie alors F_THEORIQUE, milieu de l'intervalle en question et
%   correspondant à la fréquence sur laquelle on veut accorder F_LUE.

%on crée les notes "théoriques"
f_MI1 = lire_note('MI1');
f_LA1 = lire_note('LA1');
f_RE2 = lire_note('RE2');
f_SOL2 = lire_note('SOL2');
f_SI2 = lire_note('SI2');
f_MI3 = lire_note('MI3');

%on crée les intervalles dans lesquels la note lue doit se trouver
[fmin_MI1,fmax_MI1]=quart_ton(f_MI1);
[fmin_LA1,fmax_LA1]=quart_ton(f_LA1);
[fmin_RE2,fmax_RE2]=quart_ton(f_RE2);
[fmin_SOL2,fmax_SOL2]=quart_ton(f_SOL2);
[fmin_SI2,fmax_SI2]=quart_ton(f_SI2);
[fmin_MI3,fmax_MI3]=quart_ton(f_MI3);

if (fmin_MI1<=f_lue && f_lue<=fmax_MI1)
    f_theorique=f_MI1;
elseif (fmin_LA1<=f_lue && f_lue <=fmax_LA1)
    f_theorique=f_LA1;
elseif (fmin_RE2<=f_lue && f_lue <=fmax_RE2)
    f_theorique=f_RE2;
elseif (fmin_SOL2<=f_lue && f_lue <=fmax_SOL2)
    f_theorique=f_SOL2;
elseif (fmin_SI2<=f_lue && f_lue <=fmax_SI2)
    f_theorique=f_SI2;
elseif (fmin_MI3<=f_lue && f_lue <=fmax_MI3)
    f_theorique=f_MI3;

end

